## containerd 2.1.4~ds2

=== debian/changelog ===
containerd (2.1.4~ds2-5) experimental; urgency=medium

  * Fix autopkgtest by not excluding tracing/plugin
  * Tighten dependency on golang-github-containerd-containerd-api-dev
  * Fix build-only test

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 11 Jan 2026 17:51:00 -0500

containerd (2.1.4~ds2-4) experimental; urgency=medium

  * include the cmd/ packages for docker.io 28.x

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Jan 2026 06:32:41 -0500

containerd (2.1.4~ds2-3) experimental; urgency=medium

  * Bump again, no changes to previous upload

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 03 Jan 2026 08:28:09 -0500

containerd (2.1.4~ds2-2) experimental; urgency=medium

  * Bump version number, no changes

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 03 Jan 2026 08:27:57 -0500

containerd (2.1.4~ds2-1) experimental; urgency=medium

  * Package containerd 2.1.4
  * Refresh patches, tighten dependencies
  * debian/copyright: Additional clarifications
  * Bump Standards Version, no changes needed
  * debian/control: add misc:Depends to transitional meta-package
  * debian/rules: fix dh-golang-autopkgtest, cleanup excludes to avoid
    dependencies
  * add debian/vendor/update.sh, vendor imgcrypt/v2
  * Drop all other vendored sources from orig tarball
  * Add missing build-depends

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 01 Jan 2026 10:39:56 -0500

containerd (1.7.27~ds1-1) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 19 Jun 2025 13:28:59 -0400
